%define upstream_name    Term-ANSIColor
%define upstream_version 5.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Color output using ANSI escape sequences
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

Obsoletes:  perl-ANSIColor <= 3.0.0

%description
This module has two interfaces, one through color() and colored() and the
other through constants. It also offers the utility function uncolor(),
which has to be explicitly imported to be used (see the /SYNOPSIS manpage).

color() takes any number of strings as arguments and considers them to be
space-separated lists of attributes. It then forms and returns the escape
sequence to set those attributes. It doesn't print it out, just returns it,
so you'll have to print it yourself if you want to (this is so that you can
save it as a string, pass it to something else, send it to a file handle,
or do anything else with it that you might care to).

uncolor() performs the opposite translation, turning escape sequences into
a list of strings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README THANKS TODO examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 19 2020 umeabot <umeabot> 5.10.0-2.mga8
+ Revision: 1543188
- Mageia 8 Mass Rebuild

* Sat Jan 18 2020 shlomif <shlomif> 5.10.0-1.mga8
+ Revision: 1481412
- New version 5.10.0

* Mon Jan 06 2020 tv <tv> 5.0.0-1.mga8
+ Revision: 1476899
- update to 5.00

* Thu Sep 20 2018 umeabot <umeabot> 4.60.0-2.mga7
+ Revision: 1286298
- Mageia 7 Mass Rebuild

* Wed Aug 02 2017 sander85 <sander85> 4.60.0-1.mga7
+ Revision: 1134147
- update to 4.06
- update to 4.06

* Sun Jun 19 2016 pterjan <pterjan> 4.50.0-2.mga6
+ Revision: 1033919
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 4.50.0-1.mga6
+ Revision: 1002306
- update to 4.05

* Wed Feb 03 2016 umeabot <umeabot> 4.30.0-5.mga6
+ Revision: 933797
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.30.0-4.mga5
+ Revision: 746009
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.30.0-3.mga5
+ Revision: 686361
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 4.30.0-2.mga5
+ Revision: 634035
- perl 5.20 rebuild

* Tue Mar 25 2014 jquelin <jquelin> 4.30.0-1.mga5
+ Revision: 608281
- update to 4.03

* Sat Oct 19 2013 umeabot <umeabot> 4.20.0-4.mga4
+ Revision: 522795
- Mageia 4 Mass Rebuild

* Wed Mar 27 2013 jquelin <jquelin> 4.20.0-3.mga3
+ Revision: 405556
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.20.0-2.mga3
+ Revision: 373187
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 4.20.0-1.mga3
+ Revision: 341868
- update to 4.02

* Wed Nov 07 2012 jquelin <jquelin> 3.20.0-4.mga3
+ Revision: 315581
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 3.20.0-3.mga3
+ Revision: 294862
- perl 5.16.1 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 3.20.0-2.mga3
+ Revision: 284606
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 3.20.0-1.mga3
+ Revision: 254146
- update to 3.02

* Fri Nov 04 2011 jquelin <jquelin> 3.10.0-2.mga2
+ Revision: 162843
- take priority over module bundled with perl 5.14.2
- update to 3.01
- upstream changed dist name
- upstream changed dist name

* Fri Feb 18 2011 jquelin <jquelin> 3.0.0-4.mga1
+ Revision: 53704
- rebuild

* Thu Jan 20 2011 jquelin <jquelin> 3.0.0-3.mga1
+ Revision: 25831
- mageia rebuild
- imported package perl-ANSIColor

